.gallery-page {
    padding: 60px 0;
    background: #f5f5f5;
}

.gallery-page h1 {
    text-align: center;
    font-size: 36px;
    color: #2c3e50;
    margin-bottom: 50px;
    border-bottom: 2px solid #ddd;
    display: inline-block;
    padding-bottom: 10px;
}

.gallery-section {
    margin-bottom: 60px;
}

.gallery-section h2 {
    color: #0D587C;
    font-size: 28px;
    margin-bottom: 25px;
    text-align: center;
}

/* Сітка для фото */
.gallery-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 15px;
}

.gallery-item {
    width: 100%;
    aspect-ratio: 4 / 3;
    /* підтримка пропорцій 200x150, фото не розтягується */
    overflow: hidden;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.gallery-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* обрізає фото без спотворення */
    transition: transform 0.3s;
}

.gallery__button {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-top: 20px;
    align-items: center;
}

.gallery__button button {
    display: block;
    width: 100%;
    text-align: center;
    padding: 15px 50px;
    font-size: 18px;
    font-weight: 600;
    border-radius: 35px;
    background: #63D1B7;
    color: #0D587C;
    transition: 0.3s ease;

    border: none;
    outline: none;
    cursor: pointer;
}

.gallery__button button:focus {
    outline: none;
}

.gallery__button button:hover {
    background: #6ce1c6;
    transform: translateY(-3px);
}


/* Адаптив */
@media (max-width: 1024px) {
    .gallery-grid {
        grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
    }
}

@media (max-width: 768px) {
    .gallery-grid {
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    }

    .video-wrapper iframe {
        height: 250px;
    }
}